"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "MenuItemShim", {
    enumerable: true,
    get: function() {
        return MenuItemShim;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _react1 = require("@fluentui/react");
const _reactcomponents = require("@fluentui/react-components");
const _shimMenuProps = require("./shimMenuProps");
const MenuItemShim = (props)=>{
    var _props_subMenuProps;
    if (props.itemType === _react1.ContextualMenuItemType.Divider) {
        const shimProps = (0, _shimMenuProps.shimMenuItemProps)(props);
        return /*#__PURE__*/ _react.createElement(_reactcomponents.MenuDivider, shimProps);
    }
    if (props.itemType === _react1.ContextualMenuItemType.Section) {
        var _props_subMenuProps1;
        const shimProps = (0, _shimMenuProps.shimMenuHeaderProps)(props);
        return /*#__PURE__*/ _react.createElement(_reactcomponents.MenuGroup, null, /*#__PURE__*/ _react.createElement(_reactcomponents.MenuGroupHeader, null, shimProps.children), (_props_subMenuProps1 = props.subMenuProps) === null || _props_subMenuProps1 === void 0 ? void 0 : _props_subMenuProps1.items.map((item)=>// eslint-disable-next-line react/jsx-key
            /*#__PURE__*/ _react.createElement(MenuItemShim, item)));
    }
    if (props.canCheck) {
        const shimProps = (0, _shimMenuProps.shimMenuItemCheckboxProps)(props);
        return /*#__PURE__*/ _react.createElement(_reactcomponents.MenuItemCheckbox, shimProps);
    }
    // Nested Menu to handle submenus
    if (((_props_subMenuProps = props.subMenuProps) === null || _props_subMenuProps === void 0 ? void 0 : _props_subMenuProps.items) && props.subMenuProps.items.length > 0) {
        const shimmedMenuProps = (0, _shimMenuProps.shimMenuProps)(props.subMenuProps);
        const shimmedItemProps = (0, _shimMenuProps.shimMenuItemProps)(props);
        return /*#__PURE__*/ _react.createElement(_reactcomponents.Menu, shimmedMenuProps, /*#__PURE__*/ _react.createElement(_reactcomponents.MenuTrigger, null, /*#__PURE__*/ _react.createElement(_reactcomponents.MenuItem, {
            ...shimmedItemProps,
            hasSubmenu: true
        })), /*#__PURE__*/ _react.createElement(_reactcomponents.MenuPopover, null, /*#__PURE__*/ _react.createElement(_reactcomponents.MenuList, null, props.subMenuProps.items.map((item)=>// eslint-disable-next-line react/jsx-key
            /*#__PURE__*/ _react.createElement(MenuItemShim, item)))));
    }
    const shimProps = (0, _shimMenuProps.shimMenuItemProps)(props);
    return /*#__PURE__*/ _react.createElement(_reactcomponents.MenuItem, shimProps);
};
