import * as React from 'react';
import { Button } from '@fluentui/react-components';
import { shimButtonProps } from './shimButtonProps';
/**
 * Shims a v8 ActionButton to render a v9 Button
 */ export const ActionButtonShim = /*#__PURE__*/ React.forwardRef((props, _ref)=>{
    const variantProps = {
        ...props,
        variantClassName: 'ms-Button--action ms-Button--command'
    };
    const shimProps = shimButtonProps(variantProps);
    return /*#__PURE__*/ React.createElement(Button, {
        ...props,
        ...shimProps,
        appearance: "transparent"
    });
});
