import * as React from 'react';
import { Button } from '@fluentui/react-components';
import { shimButtonProps } from './shimButtonProps';
import { ToggleButtonShim } from './ToggleButtonShim';
import { CompoundButtonShim } from './CompoundButtonShim';
export const ButtonShim = /*#__PURE__*/ React.forwardRef((props, _ref)=>{
    var _props_onRenderDescription;
    const shimProps = shimButtonProps(props);
    if (props.toggle) {
        return /*#__PURE__*/ React.createElement(ToggleButtonShim, props, props.children);
    }
    if (props.secondaryText || ((_props_onRenderDescription = props.onRenderDescription) === null || _props_onRenderDescription === void 0 ? void 0 : _props_onRenderDescription.call(props, props))) {
        return /*#__PURE__*/ React.createElement(CompoundButtonShim, props);
    }
    return /*#__PURE__*/ React.createElement(Button, {
        ...props,
        ...shimProps
    });
});
