import * as React from 'react';
import { CompoundButton } from '@fluentui/react-components';
import { shimButtonProps } from './shimButtonProps';
/**
 * Shims v8 CompoundButton to render a v9 CompoundButton
 */ export const CompoundButtonShim = /*#__PURE__*/ React.forwardRef((props, _ref)=>{
    var _props_onRenderDescription;
    const variantProps = {
        ...props,
        variantClassName: props.primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound'
    };
    const shimProps = {
        ...shimButtonProps(variantProps),
        secondaryContent: props.secondaryText || ((_props_onRenderDescription = props.onRenderDescription) === null || _props_onRenderDescription === void 0 ? void 0 : _props_onRenderDescription.call(props, props))
    };
    return /*#__PURE__*/ React.createElement(CompoundButton, {
        ...props,
        ...shimProps
    });
});
