import * as React from 'react';
import { ToggleButton } from '@fluentui/react-components';
import { shimButtonProps } from './shimButtonProps';
/**
 * Shims v8 ToggleButton to render a v9 ToggleButton
 */ export const ToggleButtonShim = /*#__PURE__*/ React.forwardRef((props, _ref)=>{
    const variantProps = {
        ...props,
        variantClassName: props.primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound'
    };
    const shimProps = {
        ...shimButtonProps(variantProps),
        checked: props.checked,
        defaultChecked: props.defaultChecked
    };
    return /*#__PURE__*/ React.createElement(ToggleButton, {
        ...props,
        ...shimProps
    });
});
