import * as React from 'react';
import { Icon } from '@fluentui/react';
export const shimButtonProps = (props)=>{
    //TODO: Icon shim. This still renders the v8 icon.
    const icon = props.onRenderIcon ? props.onRenderIcon(props) : props.iconProps ? /*#__PURE__*/ React.createElement(Icon, props.iconProps) : undefined;
    var _props_variantClassName;
    const variantClassName = ((_props_variantClassName = props.variantClassName) !== null && _props_variantClassName !== void 0 ? _props_variantClassName : props.primary) ? 'ms-Button--primary' : 'ms-Button--default';
    const className = [
        props.baseClassName,
        variantClassName,
        props.className
    ].filter(Boolean).join(' ');
    return {
        // spread incoming props to propagate HTML properties not part of IBaseButtonProps
        ...props,
        appearance: props.primary ? 'primary' : undefined,
        className,
        disabled: props.disabled,
        disabledFocusable: props.allowDisabledFocus,
        'aria-hidden': props.ariaHidden,
        'aria-label': props.ariaLabel,
        icon,
        key: props.key || props.uniqueId,
        children: props.onRenderChildren ? props.onRenderChildren(props) : props.onRenderText ? props.onRenderText(props) : props.text || props.children
    };
};
